#!/bin/bash

echo "DIODE CASCADE
.model 1N414 D IS=2e-14

Vcc	1	0	2
Dx	1	10	1N414
Dy	10	20	1N414
Dz	20	30	1N414
Rd1	10	0	1k
Rd2	20	0	1k
Rd3	30	0	1k

.print dc v(10) v(20) v(30)
.dc Vcc 0 2.0 0.01 >eg6.dat
.end
" > simulation
gnucap -b simulation
echo "set style data lines
plot 'eg6.dat' u 1:2, 'eg6.dat' u 1:3, 'eg6.dat' u 1:4
" | gnuplot -persist

